import httpRequest from '@/utils/axios'

// 获取事务类型列表
export function getAffairType(params) {
  return httpRequest({
    url: '/api/ehall/v2/lobby/affairs',
    method: 'get',
    params
  })
}
// 获取事务列表
export function getAffairList(params) {
  return httpRequest({
    url: '/api/ehall/v2/lobby/processes',
    method: 'get',
    params
  })
}
// 获取事务详情
export function getAffair(id) {
  return httpRequest({
    url: `/api/ehall/v2/lobby/processes/${id}`,
    method: 'get'
  })
}
// 创建事务
export function createAffair(data) {
  return httpRequest({
    url: '/api/ehall/v2/lobby/processes',
    method: 'post',
    data
  })
}
// 更新事务
export function updateAffair(id, data) {
  return httpRequest({
    url: `/api/ehall/v2/lobby/processes/${id}`,
    method: 'post',
    data
  })
}
// 删除事务
export function deleteAffair(id) {
  return httpRequest({
    url: `/api/ehall/v2/lobby/processes/${id}`,
    method: 'delete'
  })
}
// 上传文件
export function upload(data) {
  return httpRequest({
    url: '/api/ehall/v2/lobby/tools/upload',
    method: 'post',
    headers: {
      'Content-Type': 'multipart/form-data'
    },
    data
  })
}
// 获取学期
export function getSemesters(params) {
  return httpRequest({
    url: '/api/ehall/v2/lobby/semesters',
    method: 'get',
    params
  })
}
// 获取课程
export function getCourses(data) {
  return httpRequest({
    url: `/api/ehall/v2/lobby/semesters/${data.id}/courses`,
    method: 'get'
  })
}
// 获取成绩单
export function getReport(params) {
  return httpRequest({
    url: `/api/ehall/v2/lobby/havereport`,
    method: 'get',
    params
  })
}
// 获取学生
export function getStudent() {
  return httpRequest.get('/api/ehall/v2/lobby/student')
}

// 获取重修课程
export function getRetakeCourses() {
  return httpRequest.get('/api/ehall/v2/lobby/courses')
}

// 创建微信支付订单
export function createWxpayOrder(identity, productId, params) {
  return httpRequest.get(`/api/pay/v1/wechat/qr/${identity}/${productId}`, { params })
}

// 创建支付宝支付订单
export function createAlipayOrder(productId, params) {
  return httpRequest.get(`/api/pay/v1/ali/unified-order/${productId}`, { params })
}

// 获取订单
export function getOrder(orderId) {
  return httpRequest.get(`/api/pay/v1/order/status/${orderId}`)
}

// 支付成功回调
export function paySuccess(id) {
  return httpRequest.get(`/api/ehall/v2/lobby/update-status-api/${id}`)
}
/**
 * 获取openId
 */
export function getOpenId(data) {
  return httpRequest.post('/api/usercenter/v1/wechat/get-openid', data)
}
