import * as api from '../api'
import FormView from '@/components/FormView'
export default {
  components: { FormView },
  data() {
    return {
      loading: false,
      detail: {}
    }
  },
  computed: {
    pid() {
      return this.$route.params.id
    },
    channelId() {
      return this.$route.query.channel_id
    },
    // 去支付
    hasPay() {
      return this.detail.pay === 0
    }
  },
  methods: {
    // 获取详情
    getDetail() {
      const toast = this.$toast.loading({ message: '加载中...', forbidClick: true, duration: 0 })
      this.loading = true
      api
        .getAffair(this.pid)
        .then(response => {
          this.detail = response
        })
        .finally(() => {
          toast.clear()
          this.loading = false
        })
    }
  },
  beforeMount() {
    this.getDetail()
  }
}
