import Vue from 'vue'
import Vuex from 'vuex'
import { getAffairType, getStudent } from '@/api/index'
Vue.use(Vuex)

export default new Vuex.Store({
  state: {
    affairTypes: [], // 事务类型列表
    student: {}
  },
  mutations: {
    updateAffairTypes(state, types) {
      state.affairTypes = types
    },
    updateStudent(state, student) {
      state.student = student
    }
  },
  actions: {
    async getAffairTypes({ commit }) {
      const affairTypes = await getAffairType()
      commit('updateAffairTypes', affairTypes)
      return affairTypes
    },
    async getStudent({ commit }) {
      const student = await getStudent()
      commit('updateStudent', student)
      return student
    }
  }
})
